curl -X POST https://nest.feather.mupeni.dev/v1/proposals/prop_01hx.../reject \
-H "Authorization: Bearer <reviewer_key>" \
-H "Content-Type: application/json" \
-d '{ "note": "Needs more testing in staging first." }'
{
"id": "prop_01hx...",
"status": "rejected",
"reviewedBy": "key_02hx...",
"reviewedAt": "2024-04-11T09:05:00.000Z",
"reviewNote": "Needs more testing in staging first."
}
{
"error": { "code": "PROPOSAL_NOT_PENDING", "message": "Proposal is not in pending state." }
}
Change Proposals
Reject Proposal
Rejects a pending proposal. The flag config is unchanged.
POST
/
v1
/
proposals
/
{proposalId}
/
reject
curl -X POST https://nest.feather.mupeni.dev/v1/proposals/prop_01hx.../reject \
-H "Authorization: Bearer <reviewer_key>" \
-H "Content-Type: application/json" \
-d '{ "note": "Needs more testing in staging first." }'
{
"id": "prop_01hx...",
"status": "rejected",
"reviewedBy": "key_02hx...",
"reviewedAt": "2024-04-11T09:05:00.000Z",
"reviewNote": "Needs more testing in staging first."
}
{
"error": { "code": "PROPOSAL_NOT_PENDING", "message": "Proposal is not in pending state." }
}
Path parameters
string
required
Body
string
Optional rejection reason.
curl -X POST https://nest.feather.mupeni.dev/v1/proposals/prop_01hx.../reject \
-H "Authorization: Bearer <reviewer_key>" \
-H "Content-Type: application/json" \
-d '{ "note": "Needs more testing in staging first." }'
{
"id": "prop_01hx...",
"status": "rejected",
"reviewedBy": "key_02hx...",
"reviewedAt": "2024-04-11T09:05:00.000Z",
"reviewNote": "Needs more testing in staging first."
}
{
"error": { "code": "PROPOSAL_NOT_PENDING", "message": "Proposal is not in pending state." }
}
⌘I